
Enduro/X Core - Bug #349

Feature # 328 (Closed): Enduro/X Version 6.0 master task

At some scenarios Service shared memory might become partially corrupted

10/20/2018 07:29 AM - Madars

Status: Closed Start date: 10/20/2018

Priority: Normal (Code 4) Due date:  

Assignee:  % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

Description

Some definitions:

A - our service

B - other service

cell - a entry in service shared memory

The problem:

1) B gets installed in our cell / direct hash number matches

2) A gets installed in cell+1 index

3) B gets uninstalled / cell becomes as stale

4) A tries to be installed again, and it B cell and not the cell+1

thus now service data is taken from cell and not from initial cell+1, thus some services infos such as service counts and cluster

configs might be lost at further processing.

History

#1 - 10/26/2018 12:12 AM - Madars

- Status changed from New to Resolved

- % Done changed from 0 to 100

Fixed in Enduro/X 6

#2 - 11/26/2018 11:37 AM - Madars

- Status changed from Resolved to Closed
